using FLY.Thick.Base.Client;
using FLY.UI.Module;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ThickTcpUiInWindow.UIModule
{
    /// <summary>
    /// DynAreaSample.xaml 的交互逻辑
    /// </summary>
    public partial class DynAreaSample : UserControl
    {
        TDGage gage;
        static GetSampleService mGetSampleService=null;
        public DynAreaSample()
        {
            InitializeComponent();
        }
        public void Init(int id)
        {
            //获取设备
            gage = Application.Current.Properties["Gage"] as TDGage;
            if (mGetSampleService == null)
            {
                mGetSampleService = new GetSampleService();
                FObjBase.FObjSys.Current.Connect_to_Another_OBJSys(
                    gage.mSysParam.ServerIPEP, mGetSampleService.ID);
            }

            this.DataContext = mGetSampleService;
        }
        
        private void Border_Sample_Click(object sender, RoutedEventArgs e)
        {
            Page_GetSample p = new Page_GetSample();
            p.Init(gage.mSysParam.ServerIPEP);
            (Application.Current.Properties["NavigationService"] as NavigationService).Navigate(p);
        }
    }

    public class UIModule_DynAreaSample : IUIModule
    {
        /// <summary>
        /// 控件标题
        /// 它的值取决于culture
        /// </summary>
        public string Title
        {
            get
            {
                return "样品状态";
            }
        }

        /// <summary>
        /// 控件
        /// 创建时，需要给它唯一ID，让加载自己的数据
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        public FrameworkElement GetComponent(int id)
        {
            DynAreaSample graph = new DynAreaSample();
            graph.Init(id);
            return graph;
        }

        /// <summary>
        /// 控件缩略图，用于编辑界面时，大致看看
        /// 创建时，需要给它唯一ID，让加载自己的数据
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        public FrameworkElement GetThumbnail(int id)
        {
            return new System.Windows.Controls.Grid();
        }


        /// <summary>
        /// 给出全部控件ID, 控件自行删除没有的参数
        /// </summary>
        /// <param name="IDs"></param>
        public void MatchParam(int[] IDs)
        {
            
        }
    }
}
